diff --git a/src/search.c b/src/search.c
index 066bc2c..8427f81 100644
--- a/src/search.c
+++ b/src/search.c
@@ -467,7 +467,7 @@ void search_show_replace_dialog(void)
 	if (widgets.replace_dialog == NULL)
 	{
 		GtkWidget *label_find, *label_replace, *entry_find, *entry_replace,
-			*check_close, *button, *rbox, *fbox, *vbox, *exp, *bbox;
+			*check_close, *button, *rbox, *fbox, *vbox, *hbox, *bbox, *replace_all_label;
 		GtkSizeGroup *label_size;

 		load_monospace_style();
@@ -539,27 +539,32 @@ void search_show_replace_dialog(void)
 			add_find_checkboxes(GTK_DIALOG(widgets.replace_dialog)));

 		/* Now add the multiple replace options */
-		exp = gtk_expander_new_with_mnemonic(_("Re_place All"));
+		hbox = gtk_hbox_new(FALSE, 6);
 		bbox = gtk_hbutton_box_new();

-		button = gtk_button_new_with_mnemonic(_("In Se_lection"));
+		replace_all_label = gtk_label_new("Replace all in:");
+		gtk_misc_set_alignment(GTK_MISC(replace_all_label), 1, 0.5);
+		gtk_container_add(GTK_CONTAINER(hbox), replace_all_label);
+
+		button = gtk_button_new_with_mnemonic(_("Se_lection"));
 		ui_widget_set_tooltip_text(button,
 			_("Replace all matches found in the currently selected text"));
 		gtk_container_add(GTK_CONTAINER(bbox), button);
 		g_signal_connect(button, "clicked", G_CALLBACK(send_replace_dialog_response),
 			GINT_TO_POINTER(GEANY_RESPONSE_REPLACE_IN_SEL));

-		button = gtk_button_new_with_mnemonic(_("In Sessi_on"));
+		button = gtk_button_new_with_mnemonic(_("Sessi_on"));
 		gtk_container_add(GTK_CONTAINER(bbox), button);
 		g_signal_connect(button, "clicked", G_CALLBACK(send_replace_dialog_response),
 			GINT_TO_POINTER(GEANY_RESPONSE_REPLACE_IN_SESSION));

-		button = gtk_button_new_with_mnemonic(_("_In Document"));
+		button = gtk_button_new_with_mnemonic(_("Document"));
 		gtk_container_add(GTK_CONTAINER(bbox), button);
 		g_signal_connect(button, "clicked", G_CALLBACK(send_replace_dialog_response),
 			GINT_TO_POINTER(GEANY_RESPONSE_REPLACE_IN_FILE));

 		/* close window checkbox */
+/*
 		check_close = gtk_check_button_new_with_mnemonic(_("Close _dialog"));
 		g_object_set_data_full(G_OBJECT(widgets.replace_dialog), "check_close",
 						g_object_ref(check_close), (GDestroyNotify) g_object_unref);
@@ -569,12 +574,12 @@ void search_show_replace_dialog(void)
 		gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(check_close), TRUE);
 		gtk_container_add(GTK_CONTAINER(bbox), check_close);
 		gtk_button_box_set_child_secondary(GTK_BUTTON_BOX(bbox), check_close, TRUE);
-
+*/
 		ui_hbutton_box_copy_layout(
 			GTK_BUTTON_BOX(GTK_DIALOG(widgets.replace_dialog)->action_area),
 			GTK_BUTTON_BOX(bbox));
-		gtk_container_add(GTK_CONTAINER(exp), bbox);
-		gtk_container_add(GTK_CONTAINER(vbox), exp);
+		gtk_container_add(GTK_CONTAINER(hbox), bbox);
+		gtk_container_add(GTK_CONTAINER(vbox), hbox);

 		gtk_widget_show_all(widgets.replace_dialog);
 	}
